using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;


// CB: Version 1.1

namespace FlashFXUtility
{
    public partial class FFXUtilityMain : Form
    {
        // API's
        [DllImport("ADSApiDll.dll", EntryPoint = "ErasePersistentHiveAndSoftReset", SetLastError = true)]
        public extern static void ErasePersistentHiveAndSoftReset();

        [DllImport("ADSApiDll.dll", EntryPoint = "FormatFFXAndSoftReset", SetLastError = true)]
        public extern static void FormatFFXAndSoftReset();

           
        public FFXUtilityMain()
        {
            InitializeComponent();
        }

        private void FFXUtilityMain_Load(object sender, EventArgs e)
        {

        }

        private void btnExit_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void btnEraseHive_Click(object sender, EventArgs e)
        {
            DialogResult answer = MessageBox.Show("Are you sure you want to erase persistent registry?", "Erase persistent registry", MessageBoxButtons.YesNo, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button2);
            if (answer == DialogResult.Yes)
            {
                ErasePersistentHiveAndSoftReset();
            }
        }

        private void btnFormatFFX_Click(object sender, EventArgs e)
        {
            DialogResult answer = MessageBox.Show("Are you sure you want to format Flash FX?", "Erase persistent registry", MessageBoxButtons.YesNo, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button2);
            if (answer == DialogResult.Yes)
            {
                FormatFFXAndSoftReset();
            }

        }

  
    }
}